## GET /v0/contract-namespaces

Try it

Get all available contract namespaces

### cURL

```bash
curl --request GET \
  --url https://demo-api.gable.ai/v0/contract-namespaces \
  --header 'X-API-KEY: <api-key>'
```

### Python

```python
import requests

url = "https://demo-api.gable.ai/v0/contract-namespaces"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://demo-api.gable.ai/v0/contract-namespaces', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://demo-api.gable.ai/v0/contract-namespaces",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "X-API-KEY: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://demo-api.gable.ai/v0/contract-namespaces"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-KEY", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Unirest (Java)

```java
HttpResponse<String> response = Unirest.get("https://demo-api.gable.ai/v0/contract-namespaces")
  .header("X-API-KEY", "<api-key>")
  .asString();
```

### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://demo-api.gable.ai/v0/contract-namespaces")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'

response = http.request(request)
puts response.read_body
```

### Response Codes

- **200**
- **400**

### Response Structure

```json
{
  "namespaces": [
    "<string>"
  ]
}
```

```json
{
  "message": "<string>",
  "id": 123,
  "title": "<string>"
}
```

#### Authorizations

**X-API-KEY**  
`string`  
**header required**

#### Response

- **200** application/json  
  Contract namespaces  
  Response object containing a list of contract namespaces  
  - **namespaces** `string[]` required  
    List of contract namespaces
